Package org.zkoss.zul.event

## Class ColSizeEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zul.event.ColSizeEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ColSizeEvent
      extends Event

  Used to notify that the width of a column is changed.

  When a user drags the border of a sizable column, only the width of the column itself is changed, other columns are not affected.

  The event is sent to the parent (e.g., `Columns` and `Treecols`).

  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALT_KEY` | Indicates whether the Alt key is pressed.
    `static int` | `CTRL_KEY` | Indicates whether the Ctrl key is pressed.
    `static int` | `SHIFT_KEY` | Indicates whether the Shift key is pressed.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColSizeEvent​(java.lang.String evtnm, Component target, int icol, Component col, int keys)` | Constructs an instance of `ColSizeEvent`.
    `ColSizeEvent​(java.lang.String evtnm, Component target, int icol, Component col, java.lang.String[] widths, int keys)` | Constructs an instance of `ColSizeEvent` that provide width of all columns.
    `ColSizeEvent​(java.lang.String evtnm, Component target, int icol, Component col, java.lang.String width, int keys)` | Constructs an instance of `ColSizeEvent`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColIndex()` | Return the column index of the first column whose width is changed.
    `static ColSizeEvent` | `getColSizeEvent​(AuRequest request)` | Converts an AU request to a size event.
    `Component` | `getColumn()` | Returns the column whose width is changed.
    `int` | `getKeys()` | Returns what keys were pressed when the column is resized, or 0 if none of them was pressed.
    `java.lang.String` | `getPreviousWidth()` | Returns the previous column width
    `java.lang.String` | `getPreviousWidth​(int col)` | Returns the previous column width of the specified column index.
    `java.lang.String` | `getWidth()` | Returns the column width
    `java.lang.String` | `getWidth​(int col)` | Returns the column width of the specified column index.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALT_KEY

          public static final int ALT_KEY

      Indicates whether the Alt key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

    - #### CTRL_KEY

          public static final int CTRL_KEY

      Indicates whether the Ctrl key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

    - #### SHIFT_KEY

          public static final int SHIFT_KEY

      Indicates whether the Shift key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ColSizeEvent

          public ColSizeEvent​(java.lang.String evtnm,
                              Component target,
                              int icol,
                              Component col,
                              int keys)

      Constructs an instance of `ColSizeEvent`.
      See Also:
        `ColSizeEvent(String, Component, int, Component, String, int)`

    - #### ColSizeEvent

          public ColSizeEvent​(java.lang.String evtnm,
                              Component target,
                              int icol,
                              Component col,
                              java.lang.String width,
                              int keys)

      Constructs an instance of `ColSizeEvent`.
      Parameters:
        `icol` - the index of the first column whose width is changed.
        `col` - the component of the column
        `width` - the width of the column that trigger this event.
      Since:
        5.0.0

    - #### ColSizeEvent

          public ColSizeEvent​(java.lang.String evtnm,
                              Component target,
                              int icol,
                              Component col,
                              java.lang.String[] widths,
                              int keys)

      Constructs an instance of `ColSizeEvent` that provide width of all columns.
      Parameters:
        `icol` - the index of the column whose width is changed and trigger this event.
        `col` - the component of the column
        `widths` - the width of all columns
      Since:
        5.0.6

  - ### Method Detail

    - #### getColSizeEvent

          public static final ColSizeEvent getColSizeEvent​(AuRequest request)

      Converts an AU request to a size event.
      Since:
        5.0.0

    - #### getWidth

          public java.lang.String getWidth()

      Returns the column width
      Since:
        5.0.0

    - #### getWidth

          public java.lang.String getWidth​(int col)

      Returns the column width of the specified column index.
      Parameters:
        `col` - the column index
      Since:
        5.0.6

    - #### getPreviousWidth

          public java.lang.String getPreviousWidth()

      Returns the previous column width
      Since:
        5.0.4

    - #### getPreviousWidth

          public java.lang.String getPreviousWidth​(int col)

      Returns the previous column width of the specified column index.
      Parameters:
        `col` - the column index
      Since:
        5.0.6

    - #### getColIndex

          public int getColIndex()

      Return the column index of the first column whose width is changed. The other column is the returned index plus one.

      In other words, it is the index (starting from 0) of `getColumn()`.

    - #### getColumn

          public Component getColumn()

      Returns the column whose width is changed.
      Since:
        3.0.0

    - #### getKeys

          public final int getKeys()

      Returns what keys were pressed when the column is resized, or 0 if none of them was pressed. It is a combination of `CTRL_KEY`, `SHIFT_KEY` and `ALT_KEY`.